Subject: bug#13832: Tests fail because make runs with more than one jobs

From: "Joshua C." <[email-masked]>
Date: Fri, 26 Apr 2013 21:05:19 +0200

2013/4/26 Stefano Lattarini <[email-masked]>:
> On 04/26/2013 03:22 PM, Joshua C. wrote:
>>
>> It looks like you nailed this down! I couldn't fail the test in 10
>> consecutive runs. I'll say this patch fixed it.
>>
> Good!  I will push the patch shortly.  I'm not closing the bug report,
> since the other failure is still unaddressed.
>
> Thanks,
>   Stefano

Thanks for the promp solution! About the other part:
What works for me is adding 'LIBTOOL=@LIBTOOL@ --tag=CC', which I
found on the internet. Can you reproduce this at your side?

diff --git a/t/objc-megademo.sh b/t/objc-megademo.sh
index 07764cd..8a72811 100755
--- a/t/objc-megademo.sh
+++ b/t/objc-megademo.sh
@@ -80,6 +80,7 @@ play_LDADD = libfoo.la
 play_LDFLAGS = -lobjc
 lib_LTLIBRARIES = libfoo.la
 libfoo_la_SOURCES = foo.h foo.c fooxx.cxx fooo.m foooxx.mm
+LIBTOOL=@LIBTOOL@ --tag=CC
 END

 ## Run Autotools.
--

--joshua